Bug 2011701 - Bootkube tries to use oc after cluster bootstrap is done and there is no API
Summary: Bootkube tries to use oc after cluster bootstrap is done and there is no API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.9.0
Assignee: Eran Cohen
QA Contact: Alexander Chuzhoy
URL:
Whiteboard:
: 2011652 (view as bug list)
Depends On: 2010665
Blocks: 2011652
TreeView+ depends on / blocked
 
Reported: 2021-10-07 07:06 UTC by Eran Cohen
Modified: 2021-10-19 08:16 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 2010665
Environment:
Last Closed: 2021-10-18 17:52:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 5277 0 None open [release-4.9] Bug 2011701: do not modify cvo ignores for bootstrap-in-place 2021-10-07 07:16:29 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:52:50 UTC

Comment 1 Mike Fiedler 2021-10-07 12:00:44 UTC
Both bug 2011652 and this bug have a target release of 4.9.0.   Should one of them be 4.10.0?
@ercohen@redhat.com  @staebler@redhat.com

Comment 2 Matthew Staebler 2021-10-07 13:39:24 UTC
(In reply to Mike Fiedler from comment #1)
> Both bug 2011652 and this bug have a target release of 4.9.0.   Should one
> of them be 4.10.0?
> @ercohen@redhat.com  @staebler@redhat.com

https://bugzilla.redhat.com/show_bug.cgi?id=2011652 is a dup of this BZ. The 4.10.0 BZ is https://bugzilla.redhat.com/show_bug.cgi?id=2010665. Since there is already a PR associated with this BZ, I will close https://bugzilla.redhat.com/show_bug.cgi?id=2011652.

Comment 3 Matthew Staebler 2021-10-07 13:43:39 UTC
*** Bug 2011652 has been marked as a duplicate of this bug. ***

Comment 6 Alexander Chuzhoy 2021-10-08 03:12:51 UTC
FailedQA

Version: registry.ci.openshift.org/ocp/release:4.9.0-0.nightly-2021-10-07-110446



[core@sno-0-0 ~]$   journalctl -b -f -u release-image.service -u bootkube.service
-- Logs begin at Thu 2021-10-07 16:53:11 UTC. --
Oct 07 17:45:02 sno-0-0.sealusa35-0.qe.lab.redhat.com systemd[1]: Started Bootstrap a Kubernetes cluster.
Oct 07 17:45:10 sno-0-0.sealusa35-0.qe.lab.redhat.com bootkube.sh[703794]: https://localhost:2379 is healthy: successfully committed proposal: took = 12.689336ms
Oct 07 17:45:10 sno-0-0.sealusa35-0.qe.lab.redhat.com bootkube.sh[703794]: Starting cluster-bootstrap...
Oct 07 17:45:10 sno-0-0.sealusa35-0.qe.lab.redhat.com bootkube.sh[703794]: The connection to the server api-int.sealusa35-0.qe.lab.redhat.com:6443 was refused - did you specify the right host or port?
Oct 07 17:45:10 sno-0-0.sealusa35-0.qe.lab.redhat.com systemd[1]: bootkube.service: Main process exited, code=exited, status=1/FAILURE
Oct 07 17:45:10 sno-0-0.sealusa35-0.qe.lab.redhat.com systemd[1]: bootkube.service: Failed with result 'exit-code'.
Oct 07 17:45:15 sno-0-0.sealusa35-0.qe.lab.redhat.com systemd[1]: bootkube.service: Service RestartSec=5s expired, scheduling restart.
Oct 07 17:45:15 sno-0-0.sealusa35-0.qe.lab.redhat.com systemd[1]: bootkube.service: Scheduled restart job, restart counter is at 212.
Oct 07 17:45:16 sno-0-0.sealusa35-0.qe.lab.redhat.com systemd[1]: Stopped Bootstrap a Kubernetes cluster.
Oct 07 17:45:16 sno-0-0.sealusa35-0.qe.lab.redhat.com systemd[1]: Started Bootstrap a Kubernetes cluster.
Oct 07 17:45:24 sno-0-0.sealusa35-0.qe.lab.redhat.com bootkube.sh[707152]: https://localhost:2379 is healthy: successfully committed proposal: took = 12.694707ms
Oct 07 17:45:24 sno-0-0.sealusa35-0.qe.lab.redhat.com bootkube.sh[707152]: Starting cluster-bootstrap...
Oct 07 17:45:24 sno-0-0.sealusa35-0.qe.lab.redhat.com bootkube.sh[707152]: The connection to the server api-int.sealusa35-0.qe.lab.redhat.com:6443 was refused - did you specify the right host or port?
Oct 07 17:45:24 sno-0-0.sealusa35-0.qe.lab.redhat.com systemd[1]: bootkube.service: Main process exited, code=exited, status=1/FAILURE
Oct 07 17:45:24 sno-0-0.sealusa35-0.qe.lab.redhat.com systemd[1]: bootkube.service: Failed with result 'exit-code'.
Oct 07 17:45:29 sno-0-0.sealusa35-0.qe.lab.redhat.com systemd[1]: bootkube.service: Service RestartSec=5s expired, scheduling restart.
Oct 07 17:45:29 sno-0-0.sealusa35-0.qe.lab.redhat.com systemd[1]: bootkube.service: Scheduled restart job, restart counter is at 213.
Oct 07 17:45:30 sno-0-0.sealusa35-0.qe.lab.redhat.com systemd[1]: Stopped Bootstrap a Kubernetes cluster.
Oct 07 17:45:30 sno-0-0.sealusa35-0.qe.lab.redhat.com systemd[1]: Started Bootstrap a Kubernetes cluster.

Comment 7 Matthew Staebler 2021-10-08 03:45:21 UTC
(In reply to Alexander Chuzhoy from comment #6)
> FailedQA
> 
> Version:
> registry.ci.openshift.org/ocp/release:4.9.0-0.nightly-2021-10-07-110446

That nightly does not include the fix for this BZ. Please use registry.ci.openshift.org/ocp/release:4.9.0-0.nightly-2021-10-07-192323.

Comment 8 Alexander Chuzhoy 2021-10-08 06:08:35 UTC
Version: 
registry.ci.openshift.org/ocp/release:4.9.0-0.nightly-2021-10-07-192323


The reported issue doesn't reproduce - deployment completed successfully.

Comment 11 errata-xmlrpc 2021-10-18 17:52:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.